Package weka.classifiers.evaluation.output.prediction

# Class XML

java.lang.Object
weka.classifiers.evaluation.output.prediction.AbstractOutput
weka.classifiers.evaluation.output.prediction.XML

All Implemented Interfaces:
  `Serializable`, `OptionHandler`

public class XML extends AbstractOutput
Outputs the predictions in XML.
The following DTD is used:
<!DOCTYPE predictions
[
<!ELEMENT predictions (prediction*)>
<!ATTLIST predictions version CDATA "3.5.8">
<!ATTLIST predictions name CDATA #REQUIRED>
<!ELEMENT prediction ((actual_label,predicted_label,error,(prediction|distribution),attributes?)|(actual_value,predicted_value,error,attributes?))>
<!ATTLIST prediction index CDATA #REQUIRED>
<!ELEMENT actual_label ANY>
<!ATTLIST actual_label index CDATA #REQUIRED>
<!ELEMENT predicted_label ANY>
<!ATTLIST predicted_label index CDATA #REQUIRED>
<!ELEMENT error ANY>
<!ELEMENT prediction ANY>
<!ELEMENT distribution (class_label+)>
<!ELEMENT class_label ANY>
<!ATTLIST class_label index CDATA #REQUIRED>
<!ATTLIST class_label predicted (yes|no) "no">
<!ELEMENT actual_value ANY>
<!ELEMENT predicted_value ANY>
<!ELEMENT attributes (attribute+)>
<!ELEMENT attribute ANY>
<!ATTLIST attribute index CDATA #REQUIRED>
<!ATTLIST attribute name CDATA #REQUIRED>
<!ATTLIST attribute type (numeric|date|nominal|string|relational) #REQUIRED>
]
>

Valid options are:

     -p <range>
      The range of attributes to print in addition to the classification.
      (default: none)

     -distribution
      Whether to turn on the output of the class distribution.
      Only for nominal class attributes.
      (default: off)

     -decimals <num>
      The number of digits after the decimal point.
      (default: 3)

     -file <path>
      The file to store the output in, instead of outputting it on stdout.
      Gets ignored if the supplied path is a directory.
      (default: .)

     -suppress
      In case the data gets stored in a file, then this flag can be used
      to suppress the regular output.
      (default: not suppressed)

Version:
  $Revision: 8937 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATT_INDEX`
  the index attribute.
  `static final String`
  `ATT_NAME`
  the "name" attribute.
  `static final String`
  `ATT_PREDICTED`
  the predicted attribute.
  `static final String`
  `ATT_TYPE`
  the "type" attribute.
  `static final String`
  `ATT_VERSION`
  the "version" attribute.
  `static final String`
  `DTD`
  the DTD.
  `static final String`
  `DTD_ANY`
  the ANY placeholder.
  `static final String`
  `DTD_AT_LEAST_ONE`
  the at least one marker.
  `static final String`
  `DTD_ATTLIST`
  the AttList definition.
  `static final String`
  `DTD_CDATA`
  the CDATA placeholder.
  `static final String`
  `DTD_DOCTYPE`
  the DocType definition.
  `static final String`
  `DTD_ELEMENT`
  the Element definition.
  `static final String`
  `DTD_IMPLIED`
  the #IMPLIED placeholder.
  `static final String`
  `DTD_OPTIONAL`
  the optional marker.
  `static final String`
  `DTD_PCDATA`
  the #PCDATA placeholder.
  `static final String`
  `DTD_REQUIRED`
  the #REQUIRED placeholder.
  `static final String`
  `DTD_SEPARATOR`
  the option separator.
  `static final String`
  `DTD_ZERO_OR_MORE`
  the zero or more marker.
  `static final String`
  `TAG_ACTUAL_LABEL`
  the actual_nominal tag.
  `static final String`
  `TAG_ACTUAL_VALUE`
  the actual_numeric tag.
  `static final String`
  `TAG_ATTRIBUTE`
  the attribute tag.
  `static final String`
  `TAG_ATTRIBUTES`
  the attributes tag.
  `static final String`
  `TAG_CLASS_LABEL`
  the class_label tag.
  `static final String`
  `TAG_DISTRIBUTION`
  the distribution tag.
  `static final String`
  `TAG_ERROR`
  the error tag.
  `static final String`
  `TAG_PREDICTED_LABEL`
  the predicted_nominal tag.
  `static final String`
  `TAG_PREDICTED_VALUE`
  the predicted_numeric tag.
  `static final String`
  `TAG_PREDICTION`
  the prediction tag.
  `static final String`
  `TAG_PREDICTIONS`
  the predictions tag.
  `static final String`
  `VAL_NO`
  the value "no".
  `static final String`
  `VAL_YES`
  the value "yes".

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XML()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplay()`
  Returns a short display text, to be used in comboboxes.
  `String`
  `globalInfo()`
  Returns a string describing the output generator.

  ### Methods inherited from class weka.classifiers.evaluation.output.prediction.AbstractOutput

  `attributesTipText, fromCommandline, generatesOutput, getAttributes, getBuffer, getDefaultNumDecimals, getHeader, getNumDecimals, getOptions, getOutputDistribution, getOutputFile, getSuppressOutput, listOptions, numDecimalsTipText, outputDistributionTipText, outputFileTipText, print, print, printClassification, printClassification, printClassifications, printClassifications, printFooter, printHeader, setAttributes, setBuffer, setHeader, setNumDecimals, setOptions, setOutputDistribution, setOutputFile, setSuppressOutput, suppressOutputTipText`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DTD_DOCTYPE

    public static final String DTD_DOCTYPE
    the DocType definition.
    See Also:
      - Constant Field Values

  - ### DTD_ELEMENT

    public static final String DTD_ELEMENT
    the Element definition.
    See Also:
      - Constant Field Values

  - ### DTD_ATTLIST

    public static final String DTD_ATTLIST
    the AttList definition.
    See Also:
      - Constant Field Values

  - ### DTD_OPTIONAL

    public static final String DTD_OPTIONAL
    the optional marker.
    See Also:
      - Constant Field Values

  - ### DTD_AT_LEAST_ONE

    public static final String DTD_AT_LEAST_ONE
    the at least one marker.
    See Also:
      - Constant Field Values

  - ### DTD_ZERO_OR_MORE

    public static final String DTD_ZERO_OR_MORE
    the zero or more marker.
    See Also:
      - Constant Field Values

  - ### DTD_SEPARATOR

    public static final String DTD_SEPARATOR
    the option separator.
    See Also:
      - Constant Field Values

  - ### DTD_CDATA

    public static final String DTD_CDATA
    the CDATA placeholder.
    See Also:
      - Constant Field Values

  - ### DTD_ANY

    public static final String DTD_ANY
    the ANY placeholder.
    See Also:
      - Constant Field Values

  - ### DTD_PCDATA

    public static final String DTD_PCDATA
    the #PCDATA placeholder.
    See Also:
      - Constant Field Values

  - ### DTD_IMPLIED

    public static final String DTD_IMPLIED
    the #IMPLIED placeholder.
    See Also:
      - Constant Field Values

  - ### DTD_REQUIRED

    public static final String DTD_REQUIRED
    the #REQUIRED placeholder.
    See Also:
      - Constant Field Values

  - ### ATT_VERSION

    public static final String ATT_VERSION
    the "version" attribute.
    See Also:
      - Constant Field Values

  - ### ATT_NAME

    public static final String ATT_NAME
    the "name" attribute.
    See Also:
      - Constant Field Values

  - ### ATT_TYPE

    public static final String ATT_TYPE
    the "type" attribute.
    See Also:
      - Constant Field Values

  - ### VAL_YES

    public static final String VAL_YES
    the value "yes".
    See Also:
      - Constant Field Values

  - ### VAL_NO

    public static final String VAL_NO
    the value "no".
    See Also:
      - Constant Field Values

  - ### TAG_PREDICTIONS

    public static final String TAG_PREDICTIONS
    the predictions tag.
    See Also:
      - Constant Field Values

  - ### TAG_PREDICTION

    public static final String TAG_PREDICTION
    the prediction tag.
    See Also:
      - Constant Field Values

  - ### TAG_ACTUAL_LABEL

    public static final String TAG_ACTUAL_LABEL
    the actual_nominal tag.
    See Also:
      - Constant Field Values

  - ### TAG_PREDICTED_LABEL

    public static final String TAG_PREDICTED_LABEL
    the predicted_nominal tag.
    See Also:
      - Constant Field Values

  - ### TAG_ERROR

    public static final String TAG_ERROR
    the error tag.
    See Also:
      - Constant Field Values

  - ### TAG_DISTRIBUTION

    public static final String TAG_DISTRIBUTION
    the distribution tag.
    See Also:
      - Constant Field Values

  - ### TAG_CLASS_LABEL

    public static final String TAG_CLASS_LABEL
    the class_label tag.
    See Also:
      - Constant Field Values

  - ### TAG_ACTUAL_VALUE

    public static final String TAG_ACTUAL_VALUE
    the actual_numeric tag.
    See Also:
      - Constant Field Values

  - ### TAG_PREDICTED_VALUE

    public static final String TAG_PREDICTED_VALUE
    the predicted_numeric tag.
    See Also:
      - Constant Field Values

  - ### TAG_ATTRIBUTES

    public static final String TAG_ATTRIBUTES
    the attributes tag.
    See Also:
      - Constant Field Values

  - ### TAG_ATTRIBUTE

    public static final String TAG_ATTRIBUTE
    the attribute tag.
    See Also:
      - Constant Field Values

  - ### ATT_INDEX

    public static final String ATT_INDEX
    the index attribute.
    See Also:
      - Constant Field Values

  - ### ATT_PREDICTED

    public static final String ATT_PREDICTED
    the predicted attribute.
    See Also:
      - Constant Field Values

  - ### DTD

    public static final String DTD
    the DTD.

- ## Constructor Details

  - ### XML

    public XML()

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Returns a string describing the output generator.
    Specified by:
      `globalInfo` in class `AbstractOutput`
    Returns:
      a description suitable for displaying in the GUI

  - ### getDisplay

    public String getDisplay()
    Returns a short display text, to be used in comboboxes.
    Specified by:
      `getDisplay` in class `AbstractOutput`
    Returns:
      a short display text